# Method: customers.policies.networks.defineNetwork

- [HTTP request](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineNetwork#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineNetwork#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineNetwork#body.request_body)
  - [JSON representation](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineNetwork#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineNetwork#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineNetwork#body.DefineNetworkResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineNetwork#body.aspect)
- [Try it!](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.networks/defineNetwork#try-it)

Define a new network.

### HTTP request

`POST https://chromepolicy.googleapis.com/v1/{customer=customers/*}/policies/networks:defineNetwork`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. The customer who will own this new network. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "targetResource": string, "name": string, "settings": [ { object (`https://developers.google.com/chrome/policy/reference/rest/v1/NetworkSetting`) } ] } ``` |

| Fields ||
|---|---|
| `targetResource` | `string` Required. The target resource on which this new network will be defined. The following resources are supported: \* Organizational Unit ("orgunits/{orgunit_id}") |
| `name` | `string` Required. name of the new created network. |
| `settings[]` | ``object (`https://developers.google.com/chrome/policy/reference/rest/v1/NetworkSetting`)`` Required. Detailed network settings. |

### Response body

Response object for creating a network.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "networkId": string, "targetResource": string, "settings": [ { object (`https://developers.google.com/chrome/policy/reference/rest/v1/NetworkSetting`) } ] } ``` |

| Fields ||
|---|---|
| `networkId` | `string` Network ID of the new created network. |
| `targetResource` | `string` The target resource on which this new network will be defined. The following resources are supported: \* Organizational Unit ("orgunits/{orgunit_id}") |
| `settings[]` | ``object (`https://developers.google.com/chrome/policy/reference/rest/v1/NetworkSetting`)`` Detailed network settings of the new created network |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.policy`